Bug 970497 - Tinyproxy won't start because /etc/sysconfig/network does not exist
Tinyproxy won't start because /etc/sysconfig/network does not exist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tinyproxy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 03:44 EDT by Tomas Vanderka
Modified: 2013-09-22 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: tinyproxy-1.8.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 04:33:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Vanderka 2013-06-04 03:44:26 EDT
Description of problem:
Tinyproxy won;t start on F19

Version-Release number of selected component (if applicable):
Name        : tinyproxy
Version     : 1.8.2
Release     : 5.fc19

How reproducible:


Steps to Reproduce:
1. yum install tinyproxy
2. /etc/init.d/tinyproxy
3.

Actual results:
/etc/init.d/tinyproxy: line 20: /etc/sysconfig/network: No such file or directory

Expected results:
tinyproxy starts

Additional info:

This part of the initscript imho should go completely away. Let it start if I want it to, don't care if the network is down ...

---
# Source networking configuration.
.  /etc/sysconfig/network

# Check that networking is up.
[ "$NETWORKING" = "no" ] && exit 0
---
Comment 1 Jeremy Nickurak 2013-06-17 16:38:33 EDT
This makes the package pretty much useless in f19, right?
Comment 2 Fedora Update System 2013-09-09 01:48:52 EDT
tinyproxy-1.8.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tinyproxy-1.8.3-1.fc19
Comment 3 Fedora Update System 2013-09-09 01:49:24 EDT
tinyproxy-1.8.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tinyproxy-1.8.3-1.fc20
Comment 4 Fedora Update System 2013-09-09 12:22:20 EDT
Package tinyproxy-1.8.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tinyproxy-1.8.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16165/tinyproxy-1.8.3-1.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-21 04:33:10 EDT
tinyproxy-1.8.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-22 20:01:20 EDT
tinyproxy-1.8.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.